# Create a vector of interaction terms for linear and logistic regression

Source: `R/radiant.R`
`iterms.Rd`

Create a vector of interaction terms for linear and logistic regression

    iterms(vars, nway = 2, sep = ":")

## Arguments

vars

  Labels to use

nway

  2-way (2) or 3-way (3) interaction labels to create

sep

  Separator to use between variable names (e.g., :)

## Value

Character vector of interaction term labels

## Examples

    paste0("var", 1:3) %>% iterms(2)
    #> [1] "var1:var2" "var1:var3" "var2:var3"
    paste0("var", 1:3) %>% iterms(3)
    #> [1] "var1:var2"      "var1:var3"      "var2:var3"      "var1:var2:var3"
    paste0("var", 1:3) %>% iterms(2, sep = ".")
    #> [1] "var1.var2" "var1.var3" "var2.var3"